package com.bonus.canteen.core.supply.vo;

import com.bonus.canteen.core.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;

@ApiModel
public class OpenDrpIntoDetailListVO implements Serializable {
   @ApiModelProperty("入库详情id")
   private Long detailId;
   @ApiModelProperty("原料id")
   private Long materialId;
   @ApiModelProperty("原料名称")
   private String materialName;
   @ApiModelProperty("库存id")
   private Long inventoryId;
   @ApiModelProperty("类目id")
   private String categoryId;
   @ApiModelProperty("类目名称")
   private String categoryName;
   @ApiModelProperty("进价")
   private Integer unitPrice;
   @ApiModelProperty("总价")
   private Integer totalPrice;
   @ApiModelProperty("入库数量")
   private BigDecimal purNum;
   @ApiModelProperty("当前批次库存数量")
   private BigDecimal inventoryNum;
   @ApiModelProperty("计量单位id")
   private Long unitId;
   @ApiModelProperty("计量单位名称")
   private String unitName;
   @ApiModelProperty("规格")
   private String size;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商名称")
   private String supplierName;
   @ApiModelProperty("生产日期")
   private LocalDate productDate;
   @ApiModelProperty("到期时间(保质期)")
   private LocalDate expireTime;
   @ApiModelProperty("入库原料照片")
   private String materialUrl;

   public String getMaterialUrl() {
      return SysUtil.getCutFileUrl(this.materialUrl);
   }

   public Long getDetailId() {
      return this.detailId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Long getInventoryId() {
      return this.inventoryId;
   }

   public String getCategoryId() {
      return this.categoryId;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public Integer getUnitPrice() {
      return this.unitPrice;
   }

   public Integer getTotalPrice() {
      return this.totalPrice;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public BigDecimal getInventoryNum() {
      return this.inventoryNum;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public String getSize() {
      return this.size;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public LocalDate getProductDate() {
      return this.productDate;
   }

   public LocalDate getExpireTime() {
      return this.expireTime;
   }

   public void setDetailId(final Long detailId) {
      this.detailId = detailId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setInventoryId(final Long inventoryId) {
      this.inventoryId = inventoryId;
   }

   public void setCategoryId(final String categoryId) {
      this.categoryId = categoryId;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setUnitPrice(final Integer unitPrice) {
      this.unitPrice = unitPrice;
   }

   public void setTotalPrice(final Integer totalPrice) {
      this.totalPrice = totalPrice;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setInventoryNum(final BigDecimal inventoryNum) {
      this.inventoryNum = inventoryNum;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   public void setProductDate(final LocalDate productDate) {
      this.productDate = productDate;
   }

   public void setExpireTime(final LocalDate expireTime) {
      this.expireTime = expireTime;
   }

   public void setMaterialUrl(final String materialUrl) {
      this.materialUrl = materialUrl;
   }


   public String toString() {
      Long var10000 = this.getDetailId();
      return "OpenDrpIntoDetailListVO(detailId=" + var10000 + ", materialId=" + this.getMaterialId() + ", materialName=" + this.getMaterialName() + ", inventoryId=" + this.getInventoryId() + ", categoryId=" + this.getCategoryId() + ", categoryName=" + this.getCategoryName() + ", unitPrice=" + this.getUnitPrice() + ", totalPrice=" + this.getTotalPrice() + ", purNum=" + String.valueOf(this.getPurNum()) + ", inventoryNum=" + String.valueOf(this.getInventoryNum()) + ", unitId=" + this.getUnitId() + ", unitName=" + this.getUnitName() + ", size=" + this.getSize() + ", supplierId=" + this.getSupplierId() + ", supplierName=" + this.getSupplierName() + ", productDate=" + String.valueOf(this.getProductDate()) + ", expireTime=" + String.valueOf(this.getExpireTime()) + ", materialUrl=" + this.getMaterialUrl() + ")";
   }
}
